View Issue Details

IDProjectCategoryView StatusLast Update
0004956Talerexchangepublic2017-10-18 15:42
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.4Fixed in Version0.4 
Summary0004956: implement refunds on reserve expiration
DescriptionIf a reserve expires, we should automatically send the funds back to the original account.

This probably should be done by a separate process (to avoid complicating the aggregator or exchange with orthogonal features).

This also requires some additional tables in the exchangedb to track these transactions. Once implemented, the auditor needs to be updated as well.
TagsNo tags attached.

Relationships

related to 0004526 closedChristian Grothoff unclear when reserve should be expired in the wallet 
related to 0004751 closedChristian Grothoff reserve balances and garbage collection of denomination keys 

Activities

Christian Grothoff

2017-03-17 18:57

manager   ~0011935

Note that taler-auditor will also have to be updated to support this.

Christian Grothoff

2017-04-02 00:25

manager   ~0012010

Note that the terminology I've started to use for this (to avoid confusion with merchant refunds) is that the exchange *closes* a reserve.

Christian Grothoff

2017-04-19 14:16

manager   ~0012049

123b186..c15ff78 implements support for this in libtalerexchange.

Christian Grothoff

2017-04-19 14:41

manager   ~0012050

c15ff78..8f98a5c implements support for returning reserve-closed information to clients from the exchange (and adds the required table to the postgres plugin).

Christian Grothoff

2017-04-20 21:39

manager   ~0012053

Main implementation done as of 92d9ec6..27c921c.
Still needs to be tested.

Christian Grothoff

2017-06-11 11:58

manager   ~0012250

a57cf67..1eb739c adds test_taler_exchange_wirewatch.c testcase skeleton. Incomplete.

Christian Grothoff

2017-06-11 17:05

manager   ~0012251

Fixed in 16b7c26..0580168

Issue History

Date Modified Username Field Change
2017-03-14 16:26 Christian Grothoff New Issue
2017-03-14 16:26 Christian Grothoff Status new => assigned
2017-03-14 16:26 Christian Grothoff Assigned To => Christian Grothoff
2017-03-16 13:18 Christian Grothoff Target Version => 0.4
2017-03-17 18:57 Christian Grothoff Note Added: 0011935
2017-03-19 10:38 Christian Grothoff Relationship added related to 0004526
2017-03-19 10:41 Christian Grothoff Relationship added related to 0004751
2017-04-02 00:25 Christian Grothoff Note Added: 0012010
2017-04-19 14:16 Christian Grothoff Note Added: 0012049
2017-04-19 14:41 Christian Grothoff Note Added: 0012050
2017-04-20 21:39 Christian Grothoff Note Added: 0012053
2017-06-11 11:58 Christian Grothoff Note Added: 0012250
2017-06-11 17:05 Christian Grothoff Status assigned => resolved
2017-06-11 17:05 Christian Grothoff Resolution open => fixed
2017-06-11 17:05 Christian Grothoff Fixed in Version => 0.4
2017-06-11 17:05 Christian Grothoff Note Added: 0012251
2017-10-18 15:42 Christian Grothoff Status resolved => closed